summaryrefslogtreecommitdiff
path: root/packaging/debian/monkeysphere.postinst
diff options
context:
space:
mode:
authorJameson Graef Rollins <jrollins@finestructure.net>2009-02-28 13:07:36 -0500
committerJameson Graef Rollins <jrollins@finestructure.net>2009-02-28 13:07:36 -0500
commit54abd85dc6b4c54a99644eec21ce51635012ea8b (patch)
tree6fe05fcb1b58b330eaa75f355debb65fc1c4745f /packaging/debian/monkeysphere.postinst
parented24f09f17c6f5aa8722af9facce34bbe02e3844 (diff)
work on maintainer scripts:
- remove preinst and prerm because they were empty - put everything in postint into 'config' argument, since that's really what it is - make sure deletion of monkeysphere user is correct, based on what we found here: http://wiki.debian.org/AccountHandlingInMaintainerScripts
Diffstat (limited to 'packaging/debian/monkeysphere.postinst')
-rwxr-xr-xpackaging/debian/monkeysphere.postinst34
1 files changed, 19 insertions, 15 deletions
diff --git a/packaging/debian/monkeysphere.postinst b/packaging/debian/monkeysphere.postinst
index 3d0d66f..bbb02cf 100755
--- a/packaging/debian/monkeysphere.postinst
+++ b/packaging/debian/monkeysphere.postinst
@@ -7,21 +7,25 @@
VARLIB="/var/lib/monkeysphere"
-# add a monkeysphere user if one does not already exist
-if ! getent passwd monkeysphere >/dev/null ; then
- echo "adding monkeysphere user..."
- adduser --quiet --system --no-create-home --group \
- --home "$VARLIB" \
- --shell '/bin/bash' \
- --gecos 'monkeysphere authentication user,,,' \
- monkeysphere
-fi
-
-# try to transition from to 0.23:
-/usr/share/monkeysphere/transitions/0.23
-
-# setup monkeysphere authentication
-monkeysphere-authentication setup
+case $1 in
+ configure)
+ # add a monkeysphere user if one does not already exist
+ if ! getent passwd monkeysphere >/dev/null ; then
+ echo "adding monkeysphere user..."
+ adduser --quiet --system --no-create-home --group \
+ --home "$VARLIB" \
+ --shell '/bin/bash' \
+ --gecos 'monkeysphere authentication user,,,' \
+ monkeysphere
+ fi
+
+ # try to transition from to 0.23:
+ /usr/share/monkeysphere/transitions/0.23
+
+ # setup monkeysphere authentication
+ monkeysphere-authentication setup
+ ;;
+esac
# dh_installdeb will replace this with shell code automatically
# generated by other debhelper scripts.